Debian Bug report logs - #601279
v4l-utils does not contain ir-keytable

version graph

Package: v4l-utils; Maintainer for v4l-utils is Gregor Jasny <gjasny@googlemail.com>; Source for v4l-utils is src:v4l-utils.

Reported by: Hanno Zulla <abos@hanno.de>

Date: Sun, 24 Oct 2010 20:21:01 UTC

Severity: normal

Found in version v4l-utils/0.8.1-1

Fixed in version v4l-utils/0.8.1-2

Done: Gregor Jasny <gjasny@googlemail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gregor Jasny <gjasny@googlemail.com>:
Bug#601279; Package v4l-utils. (Sun, 24 Oct 2010 20:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hanno Zulla <abos@hanno.de>:
New Bug report received and forwarded. Copy sent to Gregor Jasny <gjasny@googlemail.com>. (Sun, 24 Oct 2010 20:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hanno Zulla <abos@hanno.de>
To: submit@bugs.debian.org
Subject: v4l-utils does not contain ir-keytable
Date: Sun, 24 Oct 2010 22:08:55 +0200
Package: v4l-utils
Version: 0.8.1-1

Hello,

the new infrared stack needs ir-keytable to change an infrared remote's
keytable or protocol. This utility is found in the v4l-utils original
source tarball, but the binary package does not provide it. Please add
it to the binary package.

Thank you very much!




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#601279; Package v4l-utils. (Tue, 26 Oct 2010 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gregor Jasny <gjasny@googlemail.com>:
Extra info received and forwarded to list. (Tue, 26 Oct 2010 11:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 601279@bugs.debian.org (full text, mbox):

From: Gregor Jasny <gjasny@googlemail.com>
To: Hanno Zulla <abos@hanno.de>, 601279@bugs.debian.org
Subject: Re: Bug#601279: v4l-utils does not contain ir-keytable
Date: Tue, 26 Oct 2010 13:40:27 +0200
Hello,

On 10/24/10 10:08 PM, Hanno Zulla wrote:
> the new infrared stack needs ir-keytable to change an infrared remote's
> keytable or protocol. This utility is found in the v4l-utils original
> source tarball, but the binary package does not provide it. Please add
> it to the binary package.

I'm working on it. I'll ping you if I have something to test.

Thanks,
Gregor





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#601279; Package v4l-utils. (Sun, 31 Oct 2010 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gregor Jasny <gjasny@googlemail.com>:
Extra info received and forwarded to list. (Sun, 31 Oct 2010 17:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 601279@bugs.debian.org (full text, mbox):

From: Gregor Jasny <gjasny@googlemail.com>
To: 601279@bugs.debian.org
Subject: Re: Bug#601279: Info received (Bug#601279: v4l-utils does not contain ir-keytable)
Date: Sun, 31 Oct 2010 18:12:12 +0100
Hi Hanno,

I have a first version ready at
http://mentors.debian.net/debian/pool/main/v/v4l-utils/v4l-utils_0.8.1-2.dsc

At the moment I don't have any rc-capable hardware. I'll check my 
Hauppauge frame grabber card next week.

So it would be great if you can test the package and report any errors. 
In case you prefer binary packages to test, please send me a mail.

Note hat I've commented out all config lines in /etc/rc_maps.cfg. So you 
need to either reactivate these lines or add your custom ones.
The udev file is already in place.

I haven't finally decided if I install the config files located in 
/etc/rc_keymaps or just provide them as example files in 
/usr/share/doc/ir-keytable.

Thanks,
Gregor





Added tag(s) pending. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Wed, 08 Dec 2010 12:03:11 GMT) Full text and rfc822 format available.

Reply sent to Gregor Jasny <gjasny@googlemail.com>:
You have taken responsibility. (Sun, 19 Dec 2010 12:21:14 GMT) Full text and rfc822 format available.

Notification sent to Hanno Zulla <abos@hanno.de>:
Bug acknowledged by developer. (Sun, 19 Dec 2010 12:21:14 GMT) Full text and rfc822 format available.

Message #22 received at 601279-close@bugs.debian.org (full text, mbox):

From: Gregor Jasny <gjasny@googlemail.com>
To: 601279-close@bugs.debian.org
Subject: Bug#601279: fixed in v4l-utils 0.8.1-2
Date: Sun, 19 Dec 2010 12:19:06 +0000
Source: v4l-utils
Source-Version: 0.8.1-2

We believe that the bug you reported is fixed in the latest version of
v4l-utils, which is due to be installed in the Debian FTP archive:

ir-keytable_0.8.1-2_amd64.deb
  to main/v/v4l-utils/ir-keytable_0.8.1-2_amd64.deb
lib32v4l-0_0.8.1-2_amd64.deb
  to main/v/v4l-utils/lib32v4l-0_0.8.1-2_amd64.deb
lib32v4l-dev_0.8.1-2_amd64.deb
  to main/v/v4l-utils/lib32v4l-dev_0.8.1-2_amd64.deb
libv4l-0_0.8.1-2_amd64.deb
  to main/v/v4l-utils/libv4l-0_0.8.1-2_amd64.deb
libv4l-dev_0.8.1-2_amd64.deb
  to main/v/v4l-utils/libv4l-dev_0.8.1-2_amd64.deb
qv4l2_0.8.1-2_amd64.deb
  to main/v/v4l-utils/qv4l2_0.8.1-2_amd64.deb
v4l-utils_0.8.1-2.debian.tar.gz
  to main/v/v4l-utils/v4l-utils_0.8.1-2.debian.tar.gz
v4l-utils_0.8.1-2.dsc
  to main/v/v4l-utils/v4l-utils_0.8.1-2.dsc
v4l-utils_0.8.1-2_amd64.deb
  to main/v/v4l-utils/v4l-utils_0.8.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 601279@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gregor Jasny <gjasny@googlemail.com> (supplier of updated v4l-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 12 Dec 2010 17:10:48 +0100
Source: v4l-utils
Binary: libv4l-0 libv4l-dev lib32v4l-0 lib32v4l-dev v4l-utils qv4l2 ir-keytable
Architecture: source amd64
Version: 0.8.1-2
Distribution: unstable
Urgency: low
Maintainer: Gregor Jasny <gjasny@googlemail.com>
Changed-By: Gregor Jasny <gjasny@googlemail.com>
Description: 
 ir-keytable - Alter keymaps of Remote Controller devices
 lib32v4l-0 - Collection of video4linux support libraries (32 bits)
 lib32v4l-dev - Collection of video4linux support libraries (32 bits development
 libv4l-0   - Collection of video4linux support libraries
 libv4l-dev - Collection of video4linux support libraries (development files)
 qv4l2      - Graphical Qt v4l2 control panel
 v4l-utils  - Collection of command line video4linux utilities
Closes: 601279
Changes: 
 v4l-utils (0.8.1-2) unstable; urgency=low
 .
   [ Gregor Jasny ]
   * Add ir-keytable; install them into /lib/udev/rc_keymaps (Closes: #601279)
   * Cherry-picked new device table entries from upstream git
 .
   [ Martin Pitt ]
   * debian/control: Add DM-Upload-Allowed flag, so that Gregor can upload by
     himself once he becomes an official DM.
Checksums-Sha1: 
 e4a915efa2fa03ccf99e6312cd468da7b46d1f48 2051 v4l-utils_0.8.1-2.dsc
 ad1d0dbae8cfbab69ecb9e147a64ee11037de71e 12346 v4l-utils_0.8.1-2.debian.tar.gz
 714e3ff8f3123fc44131044f82eb18db5074dde8 109192 libv4l-0_0.8.1-2_amd64.deb
 0246b5e1cc89a81ff7f2b618e0665677b2bd8ff4 82484 libv4l-dev_0.8.1-2_amd64.deb
 f45cae01f6b9fde986d741ba2a7838a54303268d 78730 lib32v4l-0_0.8.1-2_amd64.deb
 6576cb08fbc2c69a919186f5233a2de0510b6226 69900 lib32v4l-dev_0.8.1-2_amd64.deb
 e7ac504917f13539ecdf7a1998b19228d4872053 87130 v4l-utils_0.8.1-2_amd64.deb
 a7560e47299cd44d19f4bab7172912bf59ed7fee 73100 qv4l2_0.8.1-2_amd64.deb
 9079eca9217292a0102c86c093d13cbfa5748cb5 55876 ir-keytable_0.8.1-2_amd64.deb
Checksums-Sha256: 
 13f79ce39703ffa75c4a41177d4139a8ca77782a579e4db4d310aa58afd009f0 2051 v4l-utils_0.8.1-2.dsc
 4625622ff409e85f2f5b7038c768b1c0dae9f81bb179db850aba0943fb43cf00 12346 v4l-utils_0.8.1-2.debian.tar.gz
 188cb2dd5ee9669491dfe0b299ee6f6a55dfc5d1b558da118ad24c1feab83e9c 109192 libv4l-0_0.8.1-2_amd64.deb
 d2595d9018e6400033528915c692c9d76fb3e3262c7300cb7b0af1d389e24322 82484 libv4l-dev_0.8.1-2_amd64.deb
 5f78e2a20ace45c6d16bca42d6a64980ac9e8c0701a6d2eab6cc7a1385e3c565 78730 lib32v4l-0_0.8.1-2_amd64.deb
 2a978001fadddaad59b14c11fc0327e0e1663668cf26b1e03b34996dd5c7143f 69900 lib32v4l-dev_0.8.1-2_amd64.deb
 84978898110b412bffa78518ab23587b35a18c7d66ce2fbbfc096ea3b8aeca2c 87130 v4l-utils_0.8.1-2_amd64.deb
 40b8515896ee649f5ad4ee7facc52e82bc183408870d3e9a21a1739dfef1a248 73100 qv4l2_0.8.1-2_amd64.deb
 a6ff23c3c38c73c9fc0211b93034910078d5d80fcbc2e9afaaa7c63c9858bb94 55876 ir-keytable_0.8.1-2_amd64.deb
Files: 
 a4ea2918a1bd5c64a9d5c339f4ccb7f6 2051 video optional v4l-utils_0.8.1-2.dsc
 4fc5b971145648ea0e29a9eb4e24ed75 12346 video optional v4l-utils_0.8.1-2.debian.tar.gz
 fb66c0bf2aee11b56f2ae2e7d2cbcca1 109192 libs optional libv4l-0_0.8.1-2_amd64.deb
 468204f933a95f1c7c61b9e85b01907b 82484 libdevel optional libv4l-dev_0.8.1-2_amd64.deb
 c8f8f8d7e25c1b81e1c3d9ca34c8b762 78730 libs optional lib32v4l-0_0.8.1-2_amd64.deb
 c2721d6cc3e0e7ad6bf09ba334062ded 69900 libdevel optional lib32v4l-dev_0.8.1-2_amd64.deb
 951e2a7617d27f02e8f5622e49304a1f 87130 utils optional v4l-utils_0.8.1-2_amd64.deb
 a9788c06bea40720cf42f53a7de42068 73100 utils optional qv4l2_0.8.1-2_amd64.deb
 3f1297202ffecfa8f11733d95e4a12be 55876 utils optional ir-keytable_0.8.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNDSXjAAoJEPmIJawmtHuf1S0P+gOWP5mRkSojc88DgC3Y54HY
hKP+0PGOTIAgqJ/D+zL4JAuelhxhYr99toGZgmNdLgMSxar4c5YwwrrWzkY6yr21
JNLegMMc9EDJTZ+ZI4qhEv1B080ifgSLPmaadigMkxSJH436h/OdGVEEm6C6DFkR
a0r/jw0bZh4IMjekXXuamjDKdkuvJRbeUX8ps+MMe6u48tmAdYMv1P/9HHjEVi6D
iVx5hZwhAxPBtHlQCXgc7zlBfd73e+1BY1r/e9XT1EiZhbkmByyCyHAeOympHPZL
+aOM3wx8yOfe8MBVLOOd8b+kDEe5J8ykmRpFgVDH1u1i20fsES3udHbChUTBUCSi
2da4RVYqGiP2ZKDt4zhGDe47YZe7oYQUexmhvZvDc6A8c4jiWR1MMiPQiskbOh3U
7Oy8T/13Y6tc0u5SR7s0Qq5ouYlZb+OLnrTKG4cWrZOd3+I6ahkq40IsJQ7DIOkt
bgvd6Qh5Qji3LIxHKCTu+RxatCMu+rzdv2gGlh/2vQw8E0bg+1o84kgfhIsPDils
NwZzS3LSZXcyxjDCIj7/9awXXrz5Ost8RDDzLtykdmvlzMCFO9R/8qXRYo9vIHBz
80QoovwDDNpQ4iVpjwWcXuV4sZakrt3tL6Py+hgQbUFQhHoVTN/RA54i2+UobWNS
N68CQHRZHW1/fdH5zF8D
=2KXn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Jan 2011 07:32:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:04:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.